This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 195350 - resolvedep doesn't work in yum
resolvedep doesn't work in yum
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 17:14 EDT by Bill Peck
Modified: 2014-01-21 17:54 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 17:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2006-06-14 17:14:06 EDT
Description of problem:
resolvedep doesn't seem to work in the latest version of yum in rawhide.  I can
install the package with the file name that should have been resolved by yum so
I know the metadata is good.

Version-Release number of selected component (if applicable):
 yum-2.9.0-4.noarch

How reproducible:
every time.

Steps to Reproduce:
1. Install rawhide-20060614
2. try to use the resolvedep argument for yum.
3. yum resolvedep /usr/bin/screen
  
Yum will come back with no packages found.  yet doing a yum install screen will
work.

Additional info:
Currently this is how we figure out which test rpm to install for a given test
in RHTS.  So this prevents us from testing xen in the latest rawhide.
Comment 1 Jeremy Katz 2006-06-14 17:28:50 EDT
Paul started building the fix for this (in yum-metadata-parser) earlier this
afternoon
Comment 2 Paul Nasrat 2006-06-19 13:56:17 EDT
[pnasrat@exeter ~]$ yum -d1 resolvedep /usr/bin/screen
0:screen-4.0.2-14.i386
[pnasrat@exeter ~]$ rpm -q yum yum-metadata-parser
yum-2.9.0-5
yum-metadata-parser-1.0-6
Comment 3 Paul Nasrat 2006-06-19 17:24:25 EDT
Fixed for filelists entries as well as primary
Comment 4 Jay Turner 2006-09-21 23:24:44 EDT
RHEL5 has yum-2.9.6-1.

Note You need to log in before you can comment on or make changes to this bug.